Bug 1126810 - Can not load toshiba_acpi in Fedora 20 on Toshiba Satellite L50-A-19N
Summary: Can not load toshiba_acpi in Fedora 20 on Toshiba Satellite L50-A-19N
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 11:00 UTC by Yiannis Panagou
Modified: 2015-11-02 19:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-02 19:35:28 UTC


Attachments (Terms of Use)
acpidump (653.60 KB, text/plain)
2014-08-05 11:20 UTC, Yiannis Panagou
no flags Details
dmidecode (14.03 KB, text/plain)
2014-08-05 11:20 UTC, Yiannis Panagou
no flags Details

Description Yiannis Panagou 2014-08-05 11:00:17 UTC
Description of problem: Can not load toshiba_acpi in Fedora 20

On my Laptop can not started normal CPU fan with result the cpu temp is above 55 with 60 degree Celsius. Also because is dual boot in win7 operate normal. 
I have try to load toshiba_acpi module but failed.

Actual results:
Execute modprobe

modprobe toshiba_acpi
modprobe: ERROR: could not insert 'toshiba_acpi': No such device


Additional info:

grep TOSHIBA /boot/config-3.15.7-200.fc20.x86_64 

CONFIG_YENTA_TOSHIBA=y
CONFIG_PATA_TOSHIBA=m
CONFIG_ACPI_TOSHIBA=m
CONFIG_TOSHIBA_BT_RFKILL=m

modinfo toshiba_acpi

filename:       /lib/modules/3.15.7-200.fc20.x86_64/kernel/drivers/platform/x86/toshiba_acpi.ko
license:        GPL
description:    Toshiba Laptop ACPI Extras Driver
author:         John Belmonte
alias:          acpi*:TOS1900:*
alias:          acpi*:TOS6208:*
alias:          acpi*:TOS6200:*
depends:        wmi,rfkill,sparse-keymap
intree:         Y
vermagic:       3.15.7-200.fc20.x86_64 SMP mod_unload 
signer:         Fedora kernel signing key
sig_key:        58:46:F3:88:3B:EC:18:53:E5:60:B8:F7:11:DF:87:CD:97:2C:0D:AE
sig_hashalgo:   sha256

Comment 1 Josh Boyer 2014-08-05 11:11:35 UTC
Has this driver loaded for you with older kernels, or has it never loaded on this machine?

Can you attach the output of dmidecode and acpidump as plain text attachments?

Comment 2 Yiannis Panagou 2014-08-05 11:20:00 UTC
Created attachment 924173 [details]
acpidump

Comment 3 Yiannis Panagou 2014-08-05 11:20:42 UTC
Created attachment 924174 [details]
dmidecode

Comment 4 Yiannis Panagou 2014-08-05 11:21:23 UTC
never loaded this module on this machine

thanks 
Yiannis

Comment 5 Yiannis Panagou 2014-08-12 07:50:33 UTC
Do you have any update on the matter ?
Brgs

Yiannis

Comment 6 Justin M. Forbes 2014-11-13 16:00:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 7 Yiannis Panagou 2014-11-13 19:52:05 UTC
Hello,

The problem still

Please for your advise


modprobe toshiba_acpi
modprobe: ERROR: could not insert 'toshiba_acpi': No such device

grep TOSHIBA /boot/config-3.17.2-200.fc20.x86_64 

CONFIG_YENTA_TOSHIBA=y
CONFIG_PATA_TOSHIBA=m
CONFIG_ACPI_TOSHIBA=m
CONFIG_TOSHIBA_BT_RFKILL=m
CONFIG_TOSHIBA_HAPS=m

modinfo toshiba_acpi

filename:       /lib/modules/3.17.2-200.fc20.x86_64/kernel/drivers/platform/x86/toshiba_acpi.ko
license:        GPL
description:    Toshiba Laptop ACPI Extras Driver
author:         John Belmonte
alias:          acpi*:TOS1900:*
alias:          acpi*:TOS6208:*
alias:          acpi*:TOS6200:*
depends:        wmi,rfkill,sparse-keymap
intree:         Y
vermagic:       3.17.2-200.fc20.x86_64 SMP mod_unload 
signer:         Fedora kernel signing key
sig_key:        A1:2A:BA:C0:1A:69:DB:44:55:19:52:93:C1:C9:B6:D7:39:7F:2C:64
sig_hashalgo:   sha256

Comment 8 Fedora Kernel Team 2015-02-24 16:21:39 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 9 Yiannis Panagou 2015-02-26 08:16:31 UTC
Hello team,

The problem still exist in the new version Fedora 21 with the same error

Please for your advise

Comment 10 Fedora Kernel Team 2015-04-28 18:32:27 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 11 Josh Boyer 2015-11-02 19:35:28 UTC
No update to latest query.  Closing for now.  Please reopen if this issue is present on 4.2.5 or newer.


Note You need to log in before you can comment on or make changes to this bug.